import Qt 4.7
import "../common/widgets" as Widgets

ActivationBasePage
{
	headerString:		context.Localize("ActivationResultLicenseExpiredHeader")
	cancelButtonEnabled:	false
	backButtonEnabled:		true
	nextButtonEnabled:		true
	nextButtonText:			context.Localize("ButtonFinishText")
	helpButtonVisible: 	false
	
	Column
	{
		anchors.left:				parent.left
		anchors.right:				parent.right
		anchors.verticalCenter:		parent.verticalCenter
		AnimatedImage
		{
			anchors.horizontalCenter:		parent.horizontalCenter
			source:				            "../common/images/license/" + (context.IsError ? "ico_warning_96.png" : "ico_ok_96.png")
		}
		Item {width: parent.width; height: 20 }
		Text
		{
			horizontalAlignment:			Text.AlignHCenter
			property int margins: 			50
			anchors.left:					parent.left
			anchors.leftMargin:				margins
			anchors.rightMargin: 			margins
			anchors.right:					parent.right
			wrapMode:						Text.Wrap
			text:							context.ErrorDescription
			font:							activationWizard.fontStyles.stateTextForActivationResult
		}
		Item {width: parent.width; height: 10 }
		Widgets.HyperLink
		{
			horizontalAlignment:			Text.AlignHCenter
			width:							parent.width
			objectName: "CommonTextForLinks"
			text: context.Localize("CommonTextForLinks")
			onClicked: context.GoToErrorHelpUrl()
			visible: context.IsErrorHelpUrlEnabled
		}
	}
	function onBack()
	{
		if (context.NeedSpecialGoBackProcessing)
		{
			context.GoBackAfterFailure();
		}
		else
		{
			activationWizard.backToPreviosPage();	
		}
	}
	function onNext()
	{
		activationWizard.cancel();
	}	
}

