import Qt 4.7
import "../common/EnumHelper.js" as EnumHelper
import "../common/widgets" as Widgets

ActivationBasePage
{
	headerString:		context.IsOfflineActivation ? context.Localize("KeyForOtherProductOfflinePageHeader") : context.Localize("KeyForOtherProductPageHeader")
	backButtonEnabled:		true
	nextButtonEnabled:		true
	cancelButtonEnabled:	true
	
	objectName: "KeyForOtherProductPageHeader"
	
	Component
	{
		id: infoBlockOfflineActivation
		
		Widgets.StaticLabel
		{
			anchors.left: parent.left
			anchors.right: parent.right
			
			caption:		context.Localize("KeyForOtherProductPageInfoBlockOfflineActivation")
			value:			context.ProductName
			captionFont:	activationWizard.fontStyles.masterOfActivationButtonsNormalText
			valueFont:		activationWizard.fontStyles.masterOfActivationButtonsNormalText
		}
	}
	
	Component
	{
		id: infoBlockGeneral
		
		Column
		{
			anchors.left: parent.left
			anchors.right: parent.right			
			
			spacing: 5
			
			Widgets.StaticLabel
			{
				caption:		context.Localize("KeyForOtherProductPageInfoBlockActivationCode")
				value:			context.ActivationCode
				captionFont:	activationWizard.fontStyles.masterOfActivationButtonsNormalText
				valueFont:		activationWizard.fontStyles.masterOfActivationButtonsNormalText
			}
			Widgets.StaticLabel
			{
				caption:		context.Localize("KeyForOtherProductPageInfoBlockProductName")
				value:			context.ProductName
				captionFont:	activationWizard.fontStyles.masterOfActivationButtonsNormalText
				valueFont:		activationWizard.fontStyles.masterOfActivationButtonsNormalText
			}		
		}
	}	

	Loader
	{
		id: infoBlock
		
		anchors.left: parent.left
		anchors.right: parent.right	
		
		sourceComponent: context.IsOfflineActivation ? infoBlockOfflineActivation : infoBlockGeneral
	}
	
	Text
	{
		id: questionText
		
		anchors.top : infoBlock.bottom
		anchors.topMargin: 30
		
		width: parent.width
		
		font:			activationWizard.fontStyles.stateTextForWaitingActivation
		wrapMode:		Text.Wrap
		text:			context.Localize("KeyForOtherProductPageChoiceText")
	}		

	Widgets.RadioGroup {id: radioGroupSelectionForChangeProductType}
	Widgets.RadioButton
	{
		id:						selectionForActivateWithNewCode
		objectName: "selectionForActivateWithNewCode"
		
		anchors.top:			questionText.bottom
		anchors.topMargin:		18
		
		anchors.left: parent.left
		anchors.right: parent.right
		
		text:					context.Localize("KeyForOtherProductPageChoice1")
		color: 					"transparent"
		group:					radioGroupSelectionForChangeProductType
		horizontalMargin:		7
		textfont:				activationWizard.fontStyles.checkBoxTextRegistrationPage
		checked:				true
		wrapMode: Text.WordWrap
		
		onCheckedChanged:
		{
			if (checked)
				context.CodeFromAnotherProductUserChoice = "UserChoice_ActivateWithNewCode";
		}
	}

	Widgets.RadioButton
	{
		id:						selectionForChangeProductType
		objectName: "selectionForChangeProductType"
		
		anchors.top:			selectionForActivateWithNewCode.bottom
		anchors.topMargin:		10		
		
		anchors.left: parent.left
		anchors.right: parent.right		
				
		text:					(context.IsOfflineActivation ? context.Localize("KeyForOtherProductPageOfflineChoice2") :
															  context.Localize("KeyForOtherProductPageChoice2")) + context.DummyPropertyToUpdateString
		color: 					"transparent"
		group:					radioGroupSelectionForChangeProductType
		horizontalMargin:		7
		textfont:				activationWizard.fontStyles.checkBoxTextRegistrationPage
		wrapMode: Text.WordWrap
		
		onCheckedChanged:
		{
			if (checked)
				context.CodeFromAnotherProductUserChoice = "UserChoice_Migrate";
		}			
	}
	
	Widgets.RadioButton
	{
		id:						selectionForSetCodeToReserve
		objectName: "selectionForSetCodeToReserve"
		
		anchors.top:			selectionForChangeProductType.bottom
		anchors.topMargin:		12
		
		anchors.left: parent.left
		anchors.right: parent.right	
				
		text:					context.Localize("KeyForOtherProductPageChoice3")
		color: 					"transparent"
		group:					radioGroupSelectionForChangeProductType
		horizontalMargin:		7
		textfont:				activationWizard.fontStyles.checkBoxTextRegistrationPage
		visible:				context.IsPossibleToReserveCode
		wrapMode: Text.WordWrap
		onCheckedChanged:
		{
			if (checked)
				context.CodeFromAnotherProductUserChoice = "UserChoice_Reserve";
		}
	}
	
	function onNext()
	{
		context.ProcessUserChoice();
	}
	function onHelp()
	{
		Help.Show(44614);
	}
}

