import Qt 4.7
import "../common/EnumHelper.js" as EnumHelper
import "../common/widgets" as Widgets

ActivationBasePage
{
	headerString:		context.Localize("KeyForOtherProductPageHeader")
	backButtonEnabled:		true
	nextButtonEnabled:		true
	cancelButtonEnabled:	true
	objectName: "KeyForOtherProductPageHeader"

	Column
	{
		id: infoBlock
		spacing: 5

		anchors.left: parent.left
		anchors.right: parent.right

		Widgets.StaticLabel
		{
			caption:		context.Localize("KeyForOtherProductPageInfoBlockActivationCode")
			value:			context.ActivationCode
			captionFont:	activationWizard.fontStyles.masterOfActivationButtonsNormalText
			valueFont:		activationWizard.fontStyles.masterOfActivationButtonsNormalText
		}
		Widgets.StaticLabel
		{
			caption:		context.Localize("KeyForOtherProductPageInfoBlockProductName")
			value:			context.ProductName
			captionFont:	activationWizard.fontStyles.masterOfActivationButtonsNormalText
			valueFont:		activationWizard.fontStyles.masterOfActivationButtonsNormalText
		}
	}
	Widgets.RadioGroup {id: radioGroupSelectionForChangeProductType}
	Widgets.RadioButton
	{
		id:						selectionForChangeProductType
		objectName: "selectionForChangeProductType"
		text:					context.Localize("SelectionTextForChangeProductType")
		color: 					"transparent"
		group:					radioGroupSelectionForChangeProductType
		horizontalMargin:		7
		textfont:				activationWizard.fontStyles.checkBoxTextNormal
		checked:				true
		anchors.top:			infoBlock.bottom
		anchors.topMargin:		30
		textVerticalMargin: -1
		visible:				context.IsActiveLicenseExist && !context.IsActiveLicenseTypeIsTrial
	}
	
	Binding {target: context; property: "ActivateLicenseFromOtherProduct"; value: selectionForChangeProductType.checked}

	Text
	{
		id: 				activationCodeIntendedForProductDescription
		font:				activationWizard.fontStyles.masterOfActivationButtonsNormalText
		anchors.top:		selectionForChangeProductType.bottom
		anchors.topMargin:	12
		anchors.left:		parent.left
		anchors.leftMargin:	24
		anchors.right:		parent.right
		wrapMode:			Text.Wrap
		text:				context.Localize("ActivationCodeIntendedForProductDescription")
	}

	Widgets.RadioButton
	{
		id:						selectionForChangeProductTypeLater
		objectName: "selectionForChangeProductTypeLater"
		text:					context.Localize("SelectionTextForChangeProductTypeLater")
		color: 					"transparent"
		group:					radioGroupSelectionForChangeProductType
		horizontalMargin:		7
		textfont:				activationWizard.fontStyles.checkBoxTextNormal
		anchors.top:			activationCodeIntendedForProductDescription.bottom
		anchors.topMargin:		30
		checked:				!selectionForChangeProductType.checked
		textVerticalMargin: -1
		visible:				context.IsActiveLicenseExist && !context.IsActiveLicenseTypeIsTrial
	}

	Text
	{
		id: 				activationCodeIntendedForProductLaterDescription
		font:				activationWizard.fontStyles.masterOfActivationButtonsNormalText
		anchors.top:		selectionForChangeProductTypeLater.bottom
		anchors.topMargin:	12
		anchors.left:		parent.left
		anchors.leftMargin:	24
		anchors.right:		parent.right
		wrapMode:			Text.Wrap
		text:				context.Localize("ActivationCodeIntendedForProductLaterDescription")
		visible:			context.IsActiveLicenseExist && !context.IsActiveLicenseTypeIsTrial
	}
	function onNext()
	{
		context.ProcessLicenseFromOtherProduct();
	}
	function onHelp()
	{
		Help.Show(44614);
	}
}

