import Qt 4.7

Item
{
    id:enumComboHost
    objectName: "enumComboHost"
    property variant enumPropertyHolder //     ,     enumPropertyTitle
    property string enumPropertyTitle //      enum
    property bool isBindingEnabled //           
    property variant localizationObject : enumPropertyHolder // ,     enum
    property variant enumPropertyObject //    

    property variant valueFont : linkValue.font
    property variant listFont : valueFont
    property variant valueColor: linkValue.color

    property variant enumProperty //  ,      (   )
    property bool showMenuAtArrow: true

    Binding
    {
        target: enumComboHost; property: 'currentValue';
        value: getKey(); when: isBindingEnabled && enumPropertyHolder != undefined;
    }

    width:linkValue.width
    height:linkValue.height

    // internal use only!
    property variant menu
    property string currentValue //  ,     
    signal pressed(int index)

    function getKey()
    {
        return isBindingEnabled && enumPropertyHolder != undefined ? EnumExtension.GetKey(enumPropertyHolder, enumPropertyTitle) : "";
    }
    onEnumPropertyObjectChanged:
    {
		if(enumPropertyObject != undefined)
			currentValue = getKey();
    }
    function keyToValue(elementIndex)
    {
       if(isBindingEnabled && enumPropertyHolder != undefined)
       {
           var key = getKeyByIndex(elementIndex);
           if(key != "")
               return  EnumExtension.KeyToValue(key, enumPropertyHolder, enumPropertyTitle);
       }
       return 0;
    }
    function getKeyByIndex(elementIndex)
    {
       return isBindingEnabled && enumPropertyHolder != undefined ? EnumExtension.GetKeyByIndex(enumPropertyHolder, enumPropertyTitle, elementIndex) : "";
    }

    onEnumPropertyHolderChanged: populateMenu();
    onIsBindingEnabledChanged: populateMenu();
    Component.onCompleted: populateMenu();

    function populateMenu()
    {
        if(menu != undefined)
            menu.destroy();
        if(enumPropertyHolder == undefined || localizationObject == undefined)
            return;
        if(!isBindingEnabled)
            return

        var menuText = 'import QtWidgetProxies 1.0; PopupMenu{';
        menuText += ' styleSheet: "border-width:1px; border-style: solid; border-color: gray;';
        menuText += ' background-color: rgb(255, 255, 255);selection-background-color: rgb(26, 152, 133); font:10pt FranklinGothicMediCondTT;";'
        menuText += ' items: ['
        var elementIndex = 0;
        var count = EnumExtension.GetCount(enumPropertyHolder, enumPropertyTitle);
        while(elementIndex < count)
        {
            var nameValue = getKeyByIndex(elementIndex);
            if(nameValue != "")
            {
                if(elementIndex > 0)
                    menuText +=',';
                menuText += 'PopupMenuAction{text : "';
                menuText += localizationObject.Localize(nameValue);
                menuText += '"; onTriggered:enumComboHost.pressed(';
                menuText += elementIndex;
                menuText += ') }';
            }
            ++elementIndex;
        }
        menuText += ']}';
        menu = Qt.createQmlObject(menuText, enumComboHost, "dynamicMenu");
    }
    function setCurrentValueByIndex(index)
    {
       if(isBindingEnabled)
       {
           enumProperty = keyToValue(index);
           currentValue = getKeyByIndex(index);
       }
    }
    function getNearRect(button)
    {
        return Qt.rect(button.x, button.y, button.width, button.height)
    }
    Hyperlink
    {
        id:linkValue
        text: enumComboHost.currentValue != "" ? localizationObject.Localize(enumComboHost.currentValue) : ""
        onClicked:
        {//TODO: statistics
            if(isBindingEnabled && enumPropertyHolder != undefined)
                enumComboHost.menu.ShowNearItem(enumComboHost.getNearRect(linkValue));
        }
    }
    onPressed:
    {
        setCurrentValueByIndex(index);
    }
}
