import Qt 4.7
import "../fonts" as Fonts
import "../EnumHelper.js" as EnumHelper

SecondaryWindow
{
	property variant commonFontStyles: Fonts.Common{}
	property variant context: MessageBoxContext

	function getSeverityIcon()
	{
		return EnumHelper.convert(MessageBoxData, "Severity", {
			"Info":"../images/ico_info_48.png",
			"Warning":"../images/ico_warning_48.png",
			"Critical":"../images/ico_danger_48.png"});
	}

	SystemPalette {id: activePalette}

	id: notification
	objectName:	"MessageBox"
	caption: MessageBoxData.Caption;
	hasFooter: false
	width: 500
	height: workAreaItem.childrenRect.height + 78

	workArea : Item
	{
		id: workArea
		objectName:	"workArea"

		Image
		{
			id: icon
			source: getSeverityIcon()
			anchors.left: parent.left;
			anchors.leftMargin: 20
			anchors.top: parent.top;
			anchors.topMargin: 20
		}

		Text
		{
			id: title
			anchors.left: icon.right;
			anchors.leftMargin: 20;
			anchors.top: icon.top;
			anchors.right: parent.right;
			anchors.rightMargin: 20;
			text: MessageBoxData.Description
			wrapMode: Text.WordWrap
			font.family: "Tahoma"
			font.pointSize: 10
			font.bold: true
		}

		Text
		{
			id: description
			anchors.left: title.left;
			anchors.top: title.bottom;
			anchors.topMargin: 5
			anchors.right: parent.right;
			anchors.rightMargin: 20;
			text: MessageBoxData.AdditionalDescription
			wrapMode: Text.WordWrap
			font.family: "Tahoma"
			font.pointSize: 9
		}

		Column // links group
		{
			id: linksGroup

			anchors
			{
				left: description.left;
				top: description.bottom;
				topMargin: 5
				right: parent.right;
				rightMargin: 20;
			}

			width: childrenRect.width
			spacing: 5
			objectName:	"linksGroup"

			Repeater
			{
				id: linksGroupRepeater
				objectName:	"linksGroupRepeater"
				model: MessageBoxData.ExtraItems

				Hyperlink
				{
					objectName:	"MessageBoxGeneratedLink"
					text: model.modelData.Text
					onClicked: Window.CloseWithResult(model.modelData.Id);
				}
			}
		}

		Row // buttons group
		{
			anchors
			{
				right: parent.right
				rightMargin: 20
				top: linksGroup.bottom
				topMargin: 20
			}

			width: childrenRect.width
			spacing: 5
			objectName:	"buttonsGroup"

			Repeater
			{
				id: buttonsGroupRepeater
				objectName:	"buttonsGroupRepeater"
				model: MessageBoxData.Buttons

				GrayButton
				{
					objectName:	"MessageBoxGeneratedButton"
					text: model.modelData.Text
					onClicked: Window.CloseWithResult(model.modelData.Id);
				}
			}
		}
	}
}
