import Qt 4.7
import "../fonts" as Fonts

Item
{
	property variant commonFontStyles: Fonts.Common{}

    width: parent.width
    height: row.height
	
	function getIcon(iconId) 
	{	
		if ("ProcessingIcon" == iconId)
			return "../images/updating.png";
			
		return "";
	}
	
	function getStateColor(state)
	{
		switch (state)
		{
            case "Info":     return "green"
            case "Warning":  return "yellow"
            case "Critical": return "red"            
		}
		return "gray"
	}
		
	Row
	{
        id: row
		spacing: 5
		Text 
		{
			text: context.Localize(model.modelData.name);
			font: commonFontStyles.standardCommonTextFont
		}
		Image
		{
			source: getIcon(model.modelData.picture)
		}
		
		Text 
		{
			visible: !linkItem.visible
			text: model.modelData.value;
			font: commonFontStyles.standardCommonTextFont
		}
		Hyperlink
		{
			id: linkItem
			visible: model.modelData.action != undefined
			text: model.modelData.value;
			onClicked: model.modelData.action.Invoke()
		}
	}
}
