import Qt 4.7

import "../common/widgets" as Widgets
import "../common/EnumHelper.js" as EnumHelper
import "../common/fonts" as Fonts
import "../main_window" as MainFrame

MainFrame.InnerContent
{
	id:				onlineServices
    objectName:		"onlineServices"
    anchors.fill:	parent

    property variant context:		MainWindow.online
    caption:						context.Localize("CloudProtection")
    property string onlineStateInt:	context.OnlineState
    property string ksnState:		""
    property variant fontStyles: Fonts.Online{}

    property int helpId: 44958

	onOnlineStateIntChanged:
    {
        ksnState = EnumHelper.getKey(context, "OnlineState")
    }

    function getConnectedButtonImage(state)
    {
		return state == "Online" ? "../common/images/ksn/connected.png" : "../common/images/ksn/disconnected.png"
    }

    viewArea: Component
    {
        Rectangle
        {
			property int globalRadius: 12
            radius: globalRadius
			
			width : onlineServices.width
			height: onlineServices.height
			

            Component.onCompleted:
            {
                context.SendRequestCloudInfo();
            }            

            Image
            {
                id:background
                width : parent.width
                height: parent.height
                source: "../common/images/ksn/background.png"
            }

            Column
            {
                id: connectingPage
                visible: ksnState == "Connecting"
                anchors.centerIn: parent
                anchors.verticalCenterOffset: 10
                Widgets.Loading48
                {
                    id: hourGrass
                    anchors.horizontalCenter: parent.horizontalCenter
                }
                Item {width: parent.width; height: 18 }
                Text
                {
                    text: context.Localize("WaitPlease")
                    font: fontStyles.standardBoldSubHeadingFont
                    anchors.horizontalCenter: parent.horizontalCenter
                }
                Item {width: parent.width; height: 2 }
                Text
                {
                    text: context.Localize("RequestProcessing")
                    font: fontStyles.normal
                    anchors.horizontalCenter: parent.horizontalCenter
                }
            }

            Item
            {
				anchors.fill        : parent
				
                visible: ksnState != "Connecting"
								
				Item
				{
					id:		bannerPane					
					width:	209
					height: parent.height
					
					Image
					{
						id:		banner
						y:		20
						anchors.horizontalCenter: parent.horizontalCenter
						source: "../common/images/ksn/ksn_logo.png"
					}
					
					Image
					{
						id:		onlineState
						anchors.top:       banner.bottom
                        anchors.topMargin: 22
						anchors.horizontalCenter: parent.horizontalCenter
						source: getConnectedButtonImage(ksnState)
					}
					
					Text
					{
						text: context.Localize(ksnState == "Online" ? "Connected" : "Disconnected")
						color: "white"
						anchors.horizontalCenter: onlineState.horizontalCenter
						anchors.verticalCenter: onlineState.verticalCenter
						font: fontStyles.boldNormal
					}
					
					Image
					{
						id:		logo
						anchors.bottom:           parent.bottom
						anchors.bottomMargin:     20
						anchors.horizontalCenter: parent.horizontalCenter
						source: "../common/images/ksn/kas_trusted.png"
					}
				}
				
				Item
				{
					id: ksnInfoArea
					anchors.left  : bannerPane.right
					anchors.right : parent.right
					anchors.top   : parent.top
					anchors.bottom: parent.bottom				
					anchors.margins: 8
				
					Image
					{
						id:		ksnInfoAreaBg
						width : parent.width
						height: parent.height
						source: "../common/images/ksn/inner_content.png"
					}
					
					Column
					{		
						anchors.fill: parent
						anchors.topMargin  : 20						
						anchors.leftMargin : 25
						anchors.rightMargin: 25
                        spacing: 16
										
						OnlineServiceContent
						{
							id: ksnOverview
							width: parent.width
							height: childrenRect.height
							infoItems: ListModel
							{
								ListElement{level:"gray"; body:"AboutWorldNetwork"}
								ListElement{level:"gray"; body:"AboutReaction"}
								ListElement{level:"gray"; body:"AboutWebInfo"}
							}
						}
						
						OnlineServiceStatus
						{
							width: parent.width
							height: childrenRect.height
						}
					}
				}
			}
		}
	}
}
