import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../common/border" as Border
import "../common/Margins.js" as Margins

Item
{
	objectName: "PasswordArea"
	property variant commonFontStyles: Fonts.Common{}
	property variant context: MainWindow.parentalControl
	property string error: ""
	id: passwordArea

	anchors.fill: parent
	
	function setActiveFocus(delay)
	{
    		createPasswordButton.setActiveFocus(delay);
	}
	
    Widgets.StandardCaptionText
	{
		id: header
		y: 100
		anchors.horizontalCenter: parent.horizontalCenter
		text: context.Localize("PasswordAreaSet")
	}
	
	Column
	{
		id: passwordAreas
		anchors.top: header.bottom
        anchors.topMargin: Margins.verticalCaptionToCommonText + 4
		anchors.horizontalCenter: parent.horizontalCenter

		spacing: 10
					
		Widgets.CheckBox
		{
			id: parentalControlPassword
			objectName:	"parentalControlPassword"
			maxWidth: passwordArea.width
			enabled: false
			checked: true
			text: context.Localize("ParentalControlPasswordArea")
            horizontalMargin: 5
		}
		
		Widgets.CheckBox
		{
			id: settingsPassword
			objectName:	"settingsPassword"
			maxWidth: passwordArea.width
			checked: true
			text: context.Localize("SettingsPasswordArea")
            horizontalMargin: 5
		}
		
		Widgets.CheckBox
		{
			id: exitPassword
			objectName:	"exitPassword"
			maxWidth: passwordArea.width
			checked: true
			text: context.Localize("ExitPasswordArea")
            horizontalMargin: 5
		}
		
		Widgets.CheckBox
		{
			id: uninstallPassword
			objectName:	"uninstallPassword"
			maxWidth: passwordArea.width
			checked: true
			text: context.Localize("UninstallPasswordArea")
            horizontalMargin: 5
		}
	}
	
    Widgets.GrayButton
	{
		id: createPasswordButton
		objectName: "CreatePasswordButton"
		
		anchors.top: passwordAreas.bottom
        anchors.topMargin: 20
		anchors.horizontalCenter: parent.horizontalCenter
		text: context.Localize("CreatePassword")

		Keys.onPressed:
		{
			if (Qt.Key_Return == event.key)
				doAction();
				
		}
		onClicked:
		{
			doAction();
		}
		function doAction()
		{
			context.PasswordSet.ShouldAskPasswordParentalControl = parentalControlPassword.checked
			context.PasswordSet.ShouldAskPasswordSettings = settingsPassword.checked
			context.PasswordSet.ShouldAskPasswordExit = exitPassword.checked
			context.PasswordSet.ShouldAskPasswordUninstall = uninstallPassword.checked
			if (context.PasswordSet.SetupPassword())
			{
				error = ""
				context.PasswordEnter.Password = context.PasswordSet.Password
				context.PasswordEnter.VerifyPassword()
				context.PasswordEnter.ResetPassword()
			}
			else
			{
				error = context.Localize("PasswordNotComplex")
			}		
		}
	}
	
	Text
	{
		anchors.top: createPasswordButton.bottom
		anchors.topMargin: 20
		anchors.horizontalCenter: parent.horizontalCenter
		text: error
		font: commonFontStyles.standardCommonTextFont
		color: "red"
	}
}
