import Qt 4.7

import "../common/widgets" as Widgets

Widgets.BaseButton
{
    property variant context

    signal clickStart
    signal clickStop

    property real progress: (context.IsRunning && !context.IsStopping) ? context.CompletionPercent / 100 : 0
    property bool isRunning: context.IsRunning
    property string faceImageNormal: isRunning ? "../common/images/scan/btn_pause_normal.png" : "../common/images/scan/btn_play_normal.png"
    property string faceImageHover: isRunning ? "../common/images/scan/btn_pause_hover.png" : "../common/images/scan/btn_play_hover.png"
    property string faceImagePressed: isRunning ? "../common/images/scan/btn_pause_pressed.png" : "../common/images/scan/btn_play_pressed.png"

    width: body.width
    height: body.height
    Image
    {
        id: body
        source: selectValue("../common/images/scan/btn_disable.png",
            "../common/images/scan/btn_body_normal.png", "../common/images/scan/btn_body_hover.png", "../common/images/scan/btn_body_pressed.png")
    }
    Item
    {
        height: parent.height
        width: progressImage.leftMargin + (parent.width - progressImage.leftMargin - progressImage.rightMargin) * progress
        clip: true
        Image
        {
            id: progressImage
            property int leftMargin: 3 /* from image */
            property int rightMargin: 3 /* from image */
            source: selectValue("", "../common/images/scan/btn_filler_normal.png",
                "../common/images/scan/btn_filler_hover.png", "../common/images/scan/btn_filler_pressed.png")
        }
    }
    Image
    {
        source: selectValue("", faceImageNormal, faceImageHover, faceImagePressed)
    }
    onClicked: isRunning ? clickStop() : clickStart()
}
