import Qt 4.7
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets
import "../common/border" as Border

Border.BorderedContent
{
	objectName: "checkHostsPage"
    content: checkHosts
    Widgets.PageFrame
    {
        id:	checkHosts
        objectName: "checkHosts"
        property variant context: CheckHosts
        property variant fontStyles: Fonts.Common{}

        windowDescriptionText: context.Localize("CheckHostsPageHeader")
        helpButtonVisible: false
        cancelButtonText: context.Localize("FinishButton")
        clip: true

        onCancel: Window.Close();
        onClose: Window.Close();

        Item
        {
            id: workingArea
            objectName: "workingArea"
            anchors.fill: parent
            clip: true

            anchors.topMargin: 29
            anchors.leftMargin: 164 /* banner width */  + 10 /*left border*/
            anchors.bottomMargin: 43
            anchors.rightMargin: 10

            Column
            {
				objectName: "column"
                anchors.fill: parent
                anchors.topMargin:		40
                anchors.leftMargin:		40
                anchors.rightMargin:	40
                clip: true
                spacing:		10

                Widgets.StandardCaptionText
                {
                    id: headerText
                    anchors.left: parent.left
                    anchors.right: parent.right
                    text: checkHosts.context.Localize("CheckHostsPageHeaderText")
                }

                Rectangle
                {
                    anchors.left: parent.left
                    anchors.right: parent.right
                    height: 30
                    color: "white"
                }

                Text
                {
                    id: infoText
                    anchors.left: parent.left
                    anchors.right: parent.right
                    text: checkHosts.context.Localize("CheckHostsPageInfoText")
                    wrapMode: Text.Wrap
                    font: checkHosts.fontStyles.standardCommonTextFont
                }
                Text
                {
                    id: listLabel
                    anchors.left: parent.left
                    anchors.right: parent.right
                    text: checkHosts.context.Localize("CheckHostsPageListLabel")
                    wrapMode: Text.Wrap
                    font: checkHosts.fontStyles.standardCommonTextFont
                }
                Rectangle
                {
                    anchors.left: parent.left
                    anchors.right: parent.right; anchors.rightMargin: 2;
                    height: 130
                    color: "white"
                    border.color: "gray"
                    ListView
                    {
                        anchors.fill: parent;
                        anchors.margins: 10;
                            model: checkHosts.context.Hosts
                            delegate: Text
                        {
                            text: checkHosts.context.Hosts[index];
                            color: "gray"
                            }
                    }
                }
                Widgets.Button
                {
                    id:			cureHostsButton
                    objectName: "cureHostsButton"
                    text:			checkHosts.context.Localize("CheckHostsCureHostsButton")
                    textfont:		checkHosts.fontStyles.standardCommonTextFont
                    backgroundImage:	"../images/widgets/gre_normal.png"
                    pressedImage:		"../images/widgets/gre_pressed.png"
                    horizontalMargin:	15
                    verticalMargin:		8

                    onClicked: checkHosts.context.CureHosts();
                }
            }
        }
    }
}
